Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class RangeFieldRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.RangeFieldRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class RangeFieldRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`RangeFieldRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`Double` | `getDefaultValue()`
`String` | `getId()`
`Double` | `getMax()`
`Double` | `getMin()`
`String` | `getName()`
`Double` | `getStep()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setDefaultValue(Double defaultValue)`
`void` | `setId(String id)`
`void` | `setMax(Double max)`
`void` | `setMin(Double min)`
`void` | `setName(String name)`
`void` | `setStep(Double step)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeFieldRepresentation

    public RangeFieldRepresentation()

Method Detail

### getDefaultValue

    public Double getDefaultValue()

### setDefaultValue

    public void setDefaultValue(Double defaultValue)

### getName

    public String getName()

### setName

    public void setName(String name)

### getId

    public String getId()

### setId

    public void setId(String id)

### getMin

    public Double getMin()

### setMin

    public void setMin(Double min)

### getMax

    public Double getMax()

### setMax

    public void setMax(Double max)

### getStep

    public Double getStep()

### setStep

    public void setStep(Double step)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.